// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Fischer
#include "Fiber.hpp"
#include "Runtime.hpp"
#include "fixtures/assert.hpp"

auto main() -> int {
	const unsigned nthreads = 1;
	Runtime runtime(nthreads);

	runtime.executeAndWait([&] {
		auto* next = Fiber::from([] { ASSERT(false); });
		runtime.scheduleOn(*next, nthreads + 1);
	});

	return 0;
}
