// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#include <gtest/gtest.h>

#include <memory>

#include "lib/math.hpp"

namespace math = emper::lib::math;

// NOLINTNEXTLINE(modernize-use-trailing-return-type)
TEST(math, simple_running_average) {
	math::RunningAverage avg;

	avg.update(1);
	avg.update(2);
	avg.update(3);

	auto average = avg.getAverage();
	ASSERT_EQ(average, 2);
}
